Midori: Webkit Web browser

Midori crashes after a certain time on elementary OS

Reported by Alekhios on 2013-08-19
8
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Midori
Undecided
Unassigned

Bug Description

I started using it as my default browser when I first installed elementary OS, but I dropped it because it crashed after a couple minutes (happened several times), and when I say crashes, I mean that nothing on it worked, I couln't close tabs, animations (charging) were not working, nothing but the exit button worked. Then came the update, and I gave it another try, and it worked for a few minutes until it crashed again.

I really like Midori and that's the reason I'm reporting this bug.

---------------------------------------------------------------------------
For the hardcore criticism I received, I'll try to improve this bug report.

Launched Midori from terminal and this is what I got:
~$ midori

(midori:23329): Gtk-WARNING **: Theme parsing error: button.css:98:14: Not using units is deprecated. Assuming 'px'.

(midori:23329): Gtk-WARNING **: Theme parsing error: button.css:98:14: Junk at end of value

(midori4:23329): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb951b010'

(midori4:23329): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb951b160'

(npviewer.bin:23358): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:23358): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:23358): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:23358): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:23358): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,
No bp log location saved, using default.
[000:000] Browser XEmbed support present: 1
[000:000] Browser toolkit is Gtk2.
[000:001] Using Gtk2 toolkit
No bp log location saved, using default.

(npviewer.bin:23379): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:23379): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:23379): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:23379): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:23379): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,
[000:119] No bp log location saved, using default.
[000:119] Browser XEmbed support present: 1
[000:120] Browser toolkit is Gtk2.
[000:120] Using Gtk2 toolkit
[000:000] No bp log location saved, using default.
Violación de segmento

---------------------------------------------------------------------------
# ^ Segment violation, it crashed and closed itself after this.
#The I relaunched from terminal an this happened
---------------------------------------------------------------------------

~$ midori

(midori:23513): Gtk-WARNING **: Theme parsing error: button.css:98:14: Not using units is deprecated. Assuming 'px'.

(midori:23513): Gtk-WARNING **: Theme parsing error: button.css:98:14: Junk at end of value

(midori4:23513): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb8b9a010'

(midori4:23513): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb8b9a160'

(npviewer.bin:23539): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:23539): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:23539): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:23539): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:23539): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,
No bp log location saved, using default.
[000:000] Browser XEmbed support present: 1
[000:000] Browser toolkit is Gtk2.
[000:001] Using Gtk2 toolkit
No bp log location saved, using default.

(npviewer.bin:23560): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:23560): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:23560): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:23560): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:23560): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,
[000:110] No bp log location saved, using default.
[000:110] Browser XEmbed support present: 1
[000:110] Browser toolkit is Gtk2.
[000:110] Using Gtk2 toolkit
[000:000] No bp log location saved, using default.

(midori4:23513): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb8b9a2b0'

(midori4:23513): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb8b9a400'

(midori4:23513): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `MidoriView'

** (midori4:23513): CRITICAL **: midori_browser_switched_tab: assertion `MIDORI_IS_VIEW (new_view)' failed

(midori4:23513): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `MidoriView'

(midori4:23513): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `MidoriView'

** (midori4:23513): CRITICAL **: midori_view_is_blank: assertion `MIDORI_IS_VIEW (view)' failed

(midori4:23513): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb8b9a550'

(midori4:23513): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `MidoriView'

** (midori4:23513): CRITICAL **: midori_browser_switched_tab: assertion `MIDORI_IS_VIEW (new_view)' failed

(midori4:23513): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `MidoriView'

(midori4:23513): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `MidoriView'

** (midori4:23513): CRITICAL **: midori_view_is_blank: assertion `MIDORI_IS_VIEW (view)' failed

(midori4:23513): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb8b9a6a0'
*** NSPlugin Viewer *** *** NSPlugin Viewer *** ERROR: rpc_end_sync called when not in sync!
ERROR: rpc_end_sync called when not in sync!

** (midori4:23513): CRITICAL **: midori_browser_get_action_group: assertion `MIDORI_IS_BROWSER (browser)' failed

** (midori4:23513): CRITICAL **: midori_context_action_add_action_group: assertion `action_group != NULL' failed
Violación de segmento

---------------------------------------------------------------------------
#I should add that it got open with the default pages that caused the crash wich was google drive and some other google related page.
Playing around I discovered that on most pages it worked ok, and that it seems to be that are the google-related ones which causes the problem. It also show me and outdated chrome version message,

Closed the pages and reopened it, seemed to work properly. Like the bug temporally disapeared.
---------------------------------------------------------------------------

version: midori 0.5.5
OS: elementary OS Luna
kernel version: 3.8.0-29-generic (#42~precise1-Ubuntu SMP Wed Aug 14 15:31:16 UTC 2013)
GCC version: 4.6 (i686-linux-gnu)
Xorg version: 1.11.3 (11 April 2013 01:04:30PM)

Processor: Intel® Core™ i3 CPU M 330 @ 2.13GHz × 4
RAM: 2,9 GiB
Graphics: NVIDIA Corporation GT216M [GeForce GT 330M] (rev a2)

---------------------------------------------------------------------------

(while runing on terminal and use it a little bit this was coming up, no crashes or auto close-up tough)

~$ midori

(midori:28807): Gtk-WARNING **: Theme parsing error: button.css:98:14: Not using units is deprecated. Assuming 'px'.

(midori:28807): Gtk-WARNING **: Theme parsing error: button.css:98:14: Junk at end of value

(midori4:28807): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb7e59008'

(npviewer.bin:28832): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:28832): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:28832): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:28832): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:28832): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,
No bp log location saved, using default.
[000:000] Browser XEmbed support present: 1
[000:000] Browser toolkit is Gtk2.
[000:001] Using Gtk2 toolkit
No bp log location saved, using default.

(npviewer.bin:28854): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:28854): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:28854): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:28854): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,

(npviewer.bin:28854): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «pixmap»,
[000:103] No bp log location saved, using default.
[000:103] Browser XEmbed support present: 1
[000:104] Browser toolkit is Gtk2.
[000:104] Using Gtk2 toolkit
[000:000] No bp log location saved, using default.

(midori4:28807): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb7e59158'

(midori4:28807): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb7e592a8'

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): Gdk-CRITICAL **: gdk_cursor_new_from_pixbuf: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(midori4:28807): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `MidoriView'

** (midori4:28807): CRITICAL **: midori_browser_switched_tab: assertion `MIDORI_IS_VIEW (new_view)' failed

(midori4:28807): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `MidoriView'

(midori4:28807): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `MidoriView'

** (midori4:28807): CRITICAL **: midori_view_is_blank: assertion `MIDORI_IS_VIEW (view)' failed

(midori4:28807): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb7e593f8'

(midori4:28807): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `MidoriView'

** (midori4:28807): CRITICAL **: midori_browser_switched_tab: assertion `MIDORI_IS_VIEW (new_view)' failed

(midori4:28807): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `MidoriView'

(midori4:28807): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `MidoriView'

** (midori4:28807): CRITICAL **: midori_view_is_blank: assertion `MIDORI_IS_VIEW (view)' failed

(midori4:28807): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb7e592a8'
[127:344] Starting client channel.
[127:344] Read port file, port=49899
[127:345] Initiated connection to GoogleTalkPlugin
[127:512] Socket connection established
[127:512] ScheduleOnlineCheck: Online check in 5000ms
[127:610] Got cookie response, socket is authorized
[127:610] AUTHORIZED; socket handshake complete
[127:610] F->C: ["fs",{"pr":"a"}]
[127:738] F->C: ["mf","mf4.4","4.4.2.0",2,{"audioCodecs":[[103,"ISAC",1,0,16000],[111,"opus",2,64000,48000],[104,"ISAC",1,0,32000],[109,"CELT",1,64000,32000],[110,"CELT",2,64000,32000],[9,"G722",1,64000,16000],[102,"ILBC",1,13300,8000],[0,"PCMU",1,64000,8000],[8,"PCMA",1,64000,8000],[107,"CN",1,0,48000],[106,"CN",1,0,32000],[105,"CN",1,0,16000],[13,"CN",1,0,8000],[127,"red",1,0,8000],[126,"telephone-event",1,0,8000]],"audioRtpHdrExts":[{"id":1,"uri":"urn:ietf:params:rtp-hdrext:ssrc-audio-level"}],"camDeviceName":"WebCam SCB-1900N (0ac8:c342)","caps":15,"cpuAdaptVersion":1,"cpuArchitecture":0,"cpuCacheSize":3145728,"cpuFamily":6,"cpuFlags":["sse2","ssse3","sse4_1","sse4_2"],"cpuHasSSE2":true,"cpuModel":37,"cpuSpeed":2133,"cpuStepping":2,"cpuVendor":"GenuineIntel","cpus":4,"cpusPhysical":2,"cryptoRandom":"t/imYSCG8996FcrCj1uvODg+","cryptoSuites":["AES_CM_128_HMAC_SHA1_80","AES_CM_128_HMAC_SHA1_32"],"dataChannelVersion":1,"effectsVersion":10,"gpuDescription":"","gpuDeviceId":0,"gpuDeviceName":"","gpuDriver":"","gpuDriverVersion":"","gpuVendorId":0,"machineModel":"Not available","remotingAssistanceAllowed":1,"remotingVersion":1,"renderer":2,"rtcpMux":true,"screencast":2,"screencastLocalPreview":1,"supportsConcurrentSessions":true,"transports":["i","gice"],"videoCodecs":[[100,"VP8",640,400,30],[116,"red",640,400,30],[117,"ulpfec",640,400,30],[99,"H264-SVC",640,360,30],[97,"H264",640,360,30],[98,"H263",640,360,30]],"videoRtpHdrExts":[{"id":2,"uri":"urn:ietf:params:rtp-hdrext:toffset"},{"id":3,"uri":"http://www.webrtc.org/experiments/rtp-hdrext/abs-send-time"}],"vsVersion":1}]
[127:937] F->C: ["getdevicestate","15","0",["__default_device","Audio Interno Estéreo analógico"],"0",["__default_device","High Definition Audio Controller Digital Stereo (HDMI)","Audio Interno Estéreo analógico"],"0",["WebCam SCB-1900N"]]
[128:001] Starting client channel.
[128:001] Read port file, port=49899
[128:002] Initiated connection to GoogleTalkPlugin
[128:036] Socket connection established
[128:037] ScheduleOnlineCheck: Online check in 5000ms
[128:101] Got cookie response, socket is authorized
[128:101] AUTHORIZED; socket handshake complete
[128:101] F->C: ["fs",{"pr":"a"}]
[128:611] F->C: ["mf","mf4.4","4.4.2.0",2,{"audioCodecs":[[103,"ISAC",1,0,16000],[104,"ISAC",1,0,32000],[9,"G722",1,64000,16000],[102,"ILBC",1,13300,8000],[0,"PCMU",1,64000,8000],[8,"PCMA",1,64000,8000],[107,"CN",1,0,48000],[106,"CN",1,0,32000],[105,"CN",1,0,16000],[13,"CN",1,0,8000],[127,"red",1,0,8000],[126,"telephone-event",1,0,8000]],"audioRtpHdrExts":[{"id":1,"uri":"urn:ietf:params:rtp-hdrext:ssrc-audio-level"}],"camDeviceName":"WebCam SCB-1900N (0ac8:c342)","caps":15,"cpuAdaptVersion":1,"cpuArchitecture":0,"cpuCacheSize":3145728,"cpuFamily":6,"cpuFlags":["sse2","ssse3","sse4_1","sse4_2"],"cpuHasSSE2":true,"cpuModel":37,"cpuSpeed":2133,"cpuStepping":2,"cpuVendor":"GenuineIntel","cpus":4,"cpusPhysical":2,"cryptoRandom":"IouxWEsc20keMGHOvNLRbyb4","cryptoSuites":["AES_CM_128_HMAC_SHA1_80","AES_CM_128_HMAC_SHA1_32"],"dataChannelVersion":1,"effectsVersion":10,"gpuDescription":"","gpuDeviceId":0,"gpuDeviceName":"","gpuDriver":"","gpuDriverVersion":"","gpuVendorId":0,"machineModel":"Not available","remotingAssistanceAllowed":0,"remotingVersion":1,"renderer":2,"rtcpMux":true,"screencast":2,"screencastLocalPreview":1,"supportsConcurrentSessions":true,"transports":["i","gice"],"videoCodecs":[[99,"H264-SVC",640,360,30],[97,"H264",640,360,30],[98,"H263",640,360,30]],"videoRtpHdrExts":[{"id":2,"uri":"urn:ietf:params:rtp-hdrext:toffset"},{"id":3,"uri":"http://www.webrtc.org/experiments/rtp-hdrext/abs-send-time"}]}]
[132:603] HandleOnlineCheck: Starting check
[132:603] HandleOnlineCheck: OK; current state: 3
[133:040] HandleOnlineCheck: Starting check
[133:040] HandleOnlineCheck: OK; current state: 3

(midori4:28807): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb7e597e8'

(midori4:28807): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error en la línea 1, carácter 90: «<email address hidden>» no es un nombre válido: «@»

(midori4:28807): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `MidoriView'

** (midori4:28807): CRITICAL **: midori_browser_switched_tab: assertion `MIDORI_IS_VIEW (new_view)' failed

(midori4:28807): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `MidoriView'

(midori4:28807): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `MidoriView'

** (midori4:28807): CRITICAL **: midori_view_is_blank: assertion `MIDORI_IS_VIEW (view)' failed

(midori4:28807): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb7e59938'

** (midori4:28807): WARNING **: No se pudo obtener el icono de la aplicación en /home/alekhios/.local/share/midori/profiles/ae31a831804563078926a758521457e3: No favicon loaded

(Edit: the bug appears once in a while and closes Midori, sometimes when I close a tab, the whole browser closes)

Alekhios (alekhios) on 2013-08-19
Changed in midori:
status: New → Invalid
status: Invalid → Incomplete
Alekhios (alekhios) on 2013-08-21
description: updated
Alekhios (alekhios) on 2013-08-21
Changed in midori:
status: Incomplete → New
description: updated
Christian Dywan (kalikiana) wrote :

In the given log I see a whole series of problems:

** (midori4:28807): CRITICAL **: midori_browser_switched_tab: assertion `MIDORI_IS_VIEW (new_view)' failed

(midori4:28807): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `MidoriView'

** (midori4:28807): CRITICAL **: midori_view_is_blank: assertion `MIDORI_IS_VIEW (view)' failed

(midori4:28807): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb7e59938'

Can you paste about:version?

Changed in midori:
status: New → Incomplete
Alekhios (alekhios) wrote :

This happens sometimes when I want to close just one tab. It closes the program completely:
~$ midori

(midori:3563): Gtk-WARNING **: Theme parsing error: button.css:98:14: Not using units is deprecated. Assuming 'px'.

(midori:3563): Gtk-WARNING **: Theme parsing error: button.css:98:14: Junk at end of value

(midori4:3563): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb9696018'

(midori4:3563): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb9696168'

(midori4:3563): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb96962b8'

(midori4:3563): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb9696408'

(midori4:3563): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb9696558'

(midori4:3563): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb96966a8'

(midori4:3563): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0xb96967f8'

** (midori4:3563): CRITICAL **: midori_browser_get_action_group: assertion `MIDORI_IS_BROWSER (browser)' failed

** (midori4:3563): CRITICAL **: midori_context_action_add_action_group: assertion `action_group != NULL' failed
Violación de segmento #Translation: Segment violation

---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
And this is what the about:version tab shows:
alias a=b; echo Copy carefully #bout:version

Los números en paréntesis corresponden a la versión que está usando en este momento.
#Translation: The numbers in parentheses refer to the version you are using at the moment

Command line midori
Midori 0.5.5 ((null))
GTK+ 3.4.2 (3.4.2) Glib 2.32.3 (2.32.4)
WebKitGTK+ 1.8.3 (1.8.3) libSoup 2.38.1
cairo 1.10.2 (1.10.2) libnotify 0.7.5
gcr No granite 0.2.2
single instance libunique 3.0.2
Platform X11; Linux i686
Identification Mozilla/5.0 (X11; Linux) AppleWebKit/535.22 (KHTML, like Gecko) Chrome/18.0.1025.133 Safari/535.22 Midori/0.5
Video Formats H264 [x] Ogg Theora [x] WebM [x]

Netscape Plugins:

Google Talk Plugin Video Renderer Version: 4.4.2.0
Shockwave Flash Shockwave Flash 11.2 r202
Google Talk Plugin Version: 4.4.2.0
Google Talk Plugin Video Accelerator Google Talk Plugin Video Accelerator version:0.1.44.29
Shockwave Flash Shockwave Flash 11.2 r202
Google Talk Plugin Video Renderer Version: 4.4.2.0
Google Talk Plugin Version: 4.4.2.0

Alekhios (alekhios) wrote :
Download full text (10.0 KiB)

I ran gdb --args midori --debug and run the program from there, I tried to do bt but it says "no stack". Although I closed only a tab from several I had open, it closed all of them. gdb says that it had exited normally:

Starting program: /usr/bin/midori --debug
[Depuración de hilo usando libthread_db enabled]
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Nuevo Thread 0xb363bb40 (LWP 28742)]
[Nuevo Thread 0xb2cffb40 (LWP 28743)]

(midori:28741): Gtk-WARNING **: Theme parsing error: button.css:98:14: Not using units is deprecated. Assuming 'px'.

(midori:28741): Gtk-WARNING **: Theme parsing error: button.css:98:14: Junk at end of value
Launching command: '/usr/bin/gdb' --batch -ex 'set print thread-events off' -ex run -ex 'set logging on /tmp/midori-alekhios/gdb.bt' -ex 'bt' --return-child-result --args /usr/bin/midori
[Depuración de hilo usando libthread_db enabled]
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".

(midori:28746): Gtk-WARNING **: Theme parsing error: button.css:98:14: Not using units is deprecated. Assuming 'px'.

(midori:28746): Gtk-WARNING **: Theme parsing error: button.css:98:14: Junk at end of value

(midori4:28746): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0x803b9020'

(midori4:28746): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0x803b9170'

(midori4:28746): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0x803b92c0'

(midori4:28746): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0x803b9410'

(midori4:28746): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0x803b9560'

(midori4:28746): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0x803b96b0'

(midori4:28746): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.32.4/./gobject/gsignal.c:2459: signal `context-menu' is invalid for instance `0x803b9800'

** (midori4:28746): CRITICAL **: midori_browser_get_action_group: assertion `MIDORI_IS_BROWSER (browser)' failed

** (midori4:28746): CRITICAL **: midori_context_action_add_action_group: assertion `action_group != NULL' failed

Program received signal SIGSEGV, Segmentation fault.
0x8003276c in midori_browser_get_n_pages ()
#0 0x8003276c in midori_browser_get_n_pages ()
#1 0x800582a5 in midori_view_get_tab_menu ()
#2 0x800585be in ?? ()
#3 0x80058b90 in ?? ()
#4 0xb7f861a3 in g_cclosure_marshal_VOID__PARAM () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#5 0xb7f83484 in g_closure_invoke () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#6 0xb7f950d9 in ?? () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#7 0xb7f9d2cc in g_signal_emit_valist () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#8 0xb7f9d443 in g_signal_emit () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#9 ...

Alekhios (alekhios) on 2013-08-22
Changed in midori:
status: Incomplete → New
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers